//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TeeComma.hpp"
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <TeeShape.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TChart *Chart1;
  TImage *Image1;
  TBarSeries *Series1;
  TBarSeries *Series2;
  TBarSeries *Series3;
  TBarSeries *Series4;
  TBarSeries *Series5;
  TBarSeries *Series6;
  TChartShape *Series8;
  TChartShape *Series7;
  TPanel *Panel1;
  TLabel *Label1;
  TCheckBox *CheckBox1;
  TCheckBox *CheckColor;
  TCheckBox *CheckBox4;
  TCheckBox *CheckBox3;
  TComboBox *CBBarStyle;
  TButton *Button1;
  TTeeCommander *TeeCommander1;
  TTimer *Timer1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Series7BeforeDrawValues(TObject *Sender);
  void __fastcall Series6BeforeDrawValues(TObject *Sender);
  void __fastcall Series1AfterDrawValues(TObject *Sender);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall CheckBox4Click(TObject *Sender);
  void __fastcall CheckColorClick(TObject *Sender);
  void __fastcall CheckBox3Click(TObject *Sender);
  void __fastcall CBBarStyleChange(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
  int DeltaRot;
  int DeltaElev;
  int DeltaZoom;
  void CheckColors();
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
