//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "stdlib.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TeeComma"
#pragma link "TeeAbout"
#pragma link "TeeOpenGL"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Series1->FillSampleValues(30);
  Series2->FillSampleValues(30);
  Series3->FillSampleValues(10);
  DeltaRot = 3;
  DeltaElev = 3;
  TeeCommander1->ButtonRotate->Down=true;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ScrollBar1Change(TObject *Sender)
{
  DeltaRot = ScrollBar1->Position;
  DeltaElev = ScrollBar1->Position;
}
//---------------------------------------------------------------------------
int TForm1::ApplyDelta(int AValue, int& ADelta)
{
  int result = AValue;
  if (ADelta > 0) {
    if (AValue < (360 - ADelta))
      result = result + ADelta;
    else
      ADelta = -ADelta;
  }
  else {
    if (AValue > (MinAngle + ADelta))
      result = result + ADelta;
    else
      ADelta = -ADelta;
  }
  return result;
}

void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
  if (CheckBox1->Checked)
    do {
      Application->ProcessMessages();
      if (Chart1->Canvas->SupportsFullRotation)
        MinAngle = 0;
      else
        MinAngle = 270;

      Chart1->View3DOptions->Rotation = ApplyDelta(Chart1->View3DOptions->Rotation,DeltaRot);
      Chart1->View3DOptions->Elevation = ApplyDelta(Chart1->View3DOptions->Elevation,DeltaElev);
      Series1->Delete(0);
      Series1->AddXY(Series1->XValues->Last() + 1,Series1->YValues->Last() + random(100)-50,"",clTeeColor);
      Series2->Delete(0);
      Series2->AddXY(Series2->XValues->Last() + 1,Series2->YValues->Last() + random(100)-50,"",clTeeColor);
      Series3->Delete(0);
      Series3->AddXY(Series2->XValues->Last() + 1,Series3->YValues->Last() + random(100)-50,"",clTeeColor);
    } while (!Application->Terminated && CheckBox1->Checked);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox2Click(TObject *Sender)
{
  TeeOpenGL1->Active=CheckBox2->Checked;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
  TeeShowAboutBox(true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::CheckBox3Click(TObject *Sender)
{
  TeeOpenGL1->Light->Visible=CheckBox3->Checked;
  Chart1->LeftWall->Dark3D=CheckBox3->Checked;
  Chart1->BottomWall->Dark3D=CheckBox3->Checked;
  Chart1->BackWall->Dark3D=CheckBox3->Checked;
  Series1->Dark3D=CheckBox3->Checked;
  Series2->Dark3D=CheckBox3->Checked;
  Series3->Dark3D=CheckBox3->Checked;
}
//---------------------------------------------------------------------------

