//---------------------------------------------------------------------------
#ifndef UMultAxiH
#define UMultAxiH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CandleCh.hpp"
#include "OHLChart.hpp"
#include "TeeComma.hpp"
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
//---------------------------------------------------------------------------
class TFormMultipleAxes : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TLabel *Label1;
  TCheckBox *CheckBox1;
  TCheckBox *CheckBox2;
  TScrollBar *ScrollBar1;
  TCheckBox *CheckBox3;
  TCheckBox *CheckBox4;
  TCheckBox *CheckBox5;
  TCheckBox *CheckBox6;
  TCheckBox *CheckBox7;
  TCheckBox *CheckBox8;
  TCheckBox *CheckBox9;
  TTeeCommander *TeeCommander1;
  TButton *Button1;
  TTimer *Timer1;
  TChart *Chart1;
  TLineSeries *Series1;
  TLineSeries *Series2;
  TCandleSeries *Series3;
  TVolumeSeries *Series4;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Chart1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall Chart1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall Chart1MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall Chart1AllowScroll(TChartAxis *Sender, double &AMin,
          double &AMax, bool &AllowScroll);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall CheckBox2Click(TObject *Sender);
  void __fastcall ScrollBar1Change(TObject *Sender);
  void __fastcall CheckBox3Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall CheckBox4Click(TObject *Sender);
  void __fastcall CheckBox6Click(TObject *Sender);
  void __fastcall CheckBox5Click(TObject *Sender);
  void __fastcall CheckBox7Click(TObject *Sender);
  void __fastcall CheckBox8Click(TObject *Sender);
  void __fastcall CheckBox9Click(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Chart1AfterDraw(TObject *Sender);
  
private:	// User declarations
  TChartAxis* Axis1;
  TChartAxis* Axis2;
  int DeltaRotation;
  int DeltaAxis1;
  int DeltaAxis2;
  int DeltaZoom;
  int DeltaRight;
  int DeltaLeft;
  bool DraggingLine;
  void CheckRightAxis();
public:		// User declarations
  __fastcall TFormMultipleAxes(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMultipleAxes *FormMultipleAxes;
//---------------------------------------------------------------------------
#endif
